BMAMP3StreamFrame Class Reference
Inheritance diagram for BMAMP3StreamFrame:
[legend]
Collaboration diagram for BMAMP3StreamFrame:
[legend]

## Public Member Functions

| BMAMP3StreamFrame (char *stream)
double | getDuration ()
int | getVersion ()
int | getLayer ()
int | getBitRate ()
int | getSampleRate ()
int | getPaddingSize ()
int | getFrameSampleSize ()
int | getFrameSize ()
Public Member Functions inherited from BMAStreamFrame
| BMAStreamFrame (char *streamData)

## Protected Attributes

int | bit_rates [16] = { -1, 32, 40, 48, 56, 64, 80, 96, 112, 128, 160, 192, 224, 256, 320, -1 }
int | sample_rates [4] = { 44100, 48000, 32000, -1 }

## Additional Inherited Members

Public Attributes inherited from BMAStreamFrame
char * | streamData
bool | lastFrame

The documentation for this class was generated from the following files:

- /home/barant/Documents/Development/BMASockets/BMAMP3StreamFrame.h
- /home/barant/Documents/Development/BMASockets/BMAMP3StreamFrame.cpp